package org.switchyard.workshop.lab2;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.switchyard.test.Invoker;
import org.switchyard.test.ServiceOperation;
import org.switchyard.test.SwitchYardRunner;
import org.switchyard.test.SwitchYardTestCaseConfig;
import org.switchyard.test.mixins.CDIMixIn;
import org.switchyard.workshop.lab2.Car.Classification;

@RunWith(SwitchYardRunner.class)
@SwitchYardTestCaseConfig(mixins=CDIMixIn.class, config=SwitchYardTestCaseConfig.SWITCHYARD_XML)
public class CarIntakeTest {
    
    @ServiceOperation("CarIntake")
    private Invoker service;
    
    @Test
    public void sendMessage() throws Exception {
    	Car car1 = new Car().setModel("Ford")
    			.setDamaged(true)
    			.setMileage(30000)
    			.setClassification(Classification.MIDSIZE);
    	
    	Car car2 = new Car().setModel("Honda")
    			.setDamaged(false)
    			.setMileage(45000)
    			.setClassification(Classification.SPORT);
    	
        service.sendInOnly(
        		new IntakeManifest().addCar(car1).addCar(car2));
        
        Thread.sleep(500);
    }
}